Subject: bug#9822: AMTAR not used

From: Akim Demaille <[email-masked]>
Date: Fri, 21 Oct 2011 14:07:53 +0200

Hi all,

My apologies if this has already been discussed.  

I too have been hit by the fact that Tar on OS X tries to preserve special features of files in "hidden" files (a thread about this started here: http://lists.gnu.org/archive/html/automake/2011-03/msg00127.html, and seems to end here: http://lists.gnu.org/archive/html/automake/2011-04/msg00001.html).

There are several means to address this, one being defining a couple of envvars before calling OS X's tar (as discussed above), the other being using GNU Tar.

Unfortunately 1.11.1 generates code like this:

AMTAR = ${SHELL} /Users/akim/src/gostai/kernel-2.7/build-aux/missing --run tar
...
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -

(I cannot see AMTAR being used.)  I would prefer to have something like

TAR = tar
AMTAR = ${SHELL} /Users/akim/[...]/build-aux/missing --run ${TAR}
am__tar = $(AMTAR) --format=ustar -chf - "$$tardir"
am__untar = $(AMTAR) -xf -

so that I can "make dist TAR=gnutar" and have magic happen.  This would also require that missing understands gnutar in addition to tar, possibly qualified.  Or missing could be extended to have one flag for the "class" of the program (this is a "tar", a constant string), and then --run which gives the command line starting with the genuine command (/opt/local/bin/gnumake for my example).

Alternatively, if AMTAR is not useful (as it seems in 1.11.1), then

TAR = tar
am__tar = $(TAR) --format=ustar -chf - "$$tardir"
am__untar = $(TAR) -xf -

would be fine!

Cheers!

PS/  Actually if AMTAR/TAR could also set the two troublesome envvars, that would be wonderful :)